Skip to content
Permalink
Browse files

switch macosx build to OSX_TARGET 10.10 and Qt 5.9.8

There will be one package supporting macOS 10.10+ based on Qt 5.9.8.
Remove obsolete variables from .sh scripts
Switch lupdate job to Qt 5.12.4
  • Loading branch information...
anatoly-os committed Jul 4, 2019
1 parent 5078803 commit ec4a45a3b553c7ac434c93f9318f85836761d1ed
@@ -14,7 +14,6 @@ matrix:
- env: "JOB=AppImage_x86_64"
- env: "JOB=MacOSX"
- env: "JOB=MacOS_lupdate"
- env: "JOB=MacOSX_10.10"
include:
# 1st parallel build job - debug build on Ubuntu
- env: "JOB=Tests"
@@ -86,16 +85,6 @@ matrix:
script:
- "./build/travis/job_macos/script.sh"

- env: "JOB=MacOSX_10.10"
os: osx
osx_image: xcode9.4
before_install:
- source build/travis/job_macos_10.10/before_install.sh
install:
- source ./build/travis/job_macos_10.10/install.sh
script:
- "./build/travis/job_macos_10.10/script.sh"

- env: "JOB=MacOS_lupdate"
os: osx
before_install:
@@ -157,12 +157,7 @@ if (APPLE)
set (CMAKE_CXX_COMPILER_ID "Clang")
set(CMAKE_OSX_ARCHITECTURES x86_64)

message("Current OSX version is ${CURRENT_OSX_VERSION}")
if (${CURRENT_OSX_VERSION} LESS "10.14")
set(CMAKE_OSX_DEPLOYMENT_TARGET 10.10)
else (${CURRENT_OSX_VERSION} LESS "10.14")
set(CMAKE_OSX_DEPLOYMENT_TARGET 10.12)
endif(${CURRENT_OSX_VERSION} LESS "10.14")
set(CMAKE_OSX_DEPLOYMENT_TARGET 10.10)

set(HAS_AUDIOFILE TRUE) # Requires libsndfile
set(MAC_APPCAST_URL "")
@@ -199,11 +194,7 @@ if (BUILD_AUTOUPDATE STREQUAL "ON")
set(MAC_SPARKLE_ENABLED 1)
set(OsxFrameworks ${OsxFrameworks} ${SPARKLE_LIBRARY})
message("Current OSX version is ${CURRENT_OSX_VERSION}")
if (${CURRENT_OSX_VERSION} LESS "10.14")
set(MAC_APPCAST_URL "https://sparkle.musescore.org/${MSCORE_RELEASE_CHANNEL}/3/macos_10.10/appcast.xml")
else (${CURRENT_OSX_VERSION} LESS "10.14")
set(MAC_APPCAST_URL "https://sparkle.musescore.org/${MSCORE_RELEASE_CHANNEL}/3/macos/appcast.xml")
endif (${CURRENT_OSX_VERSION} LESS "10.14")
set(MAC_APPCAST_URL "https://sparkle.musescore.org/${MSCORE_RELEASE_CHANNEL}/3/macos/appcast.xml")
endif(SPARKLE_FOUND)
elseif (MSVC)
if (NOT MSCORE_UNSTABLE)
@@ -1,10 +1,6 @@
#!/bin/bash

export QT_SHORT_VERSION=5.12
export QT_LONG_VERSION=5.12.1
export QT_INSTALLER_ROOT=qt-opensource-mac-x64-clang-${QT_LONG_VERSION}
export QT_INSTALLER_FILENAME=${QT_INSTALLER_ROOT}.dmg

export QT_SHORT_VERSION=5.9
export QT_PATH=$HOME/qt
export QT_MACOS=$QT_PATH/$QT_SHORT_VERSION/clang_64
export PATH=$PATH:$QT_MACOS/bin
@@ -79,10 +79,10 @@ rvm uninstall 2.0.0-p643
rvm uninstall 2.0.0
rvm get head

wget -nv https://s3.amazonaws.com/utils.musescore.org/qt5121_mac.zip
wget -nv https://s3.amazonaws.com/utils.musescore.org/qt598_mac.zip
mkdir -p $QT_MACOS
unzip -qq qt5121_mac.zip -d $QT_MACOS
rm qt5121_mac.zip
unzip -qq qt598_mac.zip -d $QT_MACOS
rm qt598_mac.zip

#install sparkle
export SPARKLE_VERSION=1.20.0

This file was deleted.

This file was deleted.

This file was deleted.

@@ -1,10 +1,6 @@
#!/bin/bash

export QT_SHORT_VERSION=5.12
export QT_LONG_VERSION=5.12.0
export QT_INSTALLER_ROOT=qt-opensource-mac-x64-clang-${QT_LONG_VERSION}
export QT_INSTALLER_FILENAME=${QT_INSTALLER_ROOT}.dmg

export QT_PATH=$HOME/qt
export QT_MACOS=$QT_PATH/$QT_SHORT_VERSION/clang_64
export PATH=$PATH:$QT_MACOS/bin
@@ -5,7 +5,7 @@ if [ "${TRAVIS_PULL_REQUEST}" != "false" ]; then
exit 0
fi

wget -nv http://utils.musescore.org.s3.amazonaws.com/qt5121_mac.zip
wget -nv http://utils.musescore.org.s3.amazonaws.com/qt5124_mac.zip
mkdir -p $QT_MACOS
unzip -qq qt5121_mac.zip -d $QT_MACOS
rm qt5121_mac.zip
unzip -qq qt5124_mac.zip -d $QT_MACOS
rm qt5124_mac.zip

0 comments on commit ec4a45a

Please sign in to comment.
You can’t perform that action at this time.